/* BLOCK: Key CTAs */

.block-key-ctas .cta-item-list {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1.25rem;
}

.block-key-ctas .cta-item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1.25rem;
    padding: 1.875rem;
    border-radius: 1.5625rem;
    overflow: hidden;
    min-height: 14.375rem;
    grid-column: span var(--size, 3);
}

.block-key-ctas .cta-item--media {
    border-radius: 0;
    clip-path: inset(0 round 1.5625rem);
}

.block-key-ctas .cta-item--search .cta__head {
    display: flex;
    justify-content: space-between;
    gap: 1.25rem;
}

.block-key-ctas .cta-item--search .cta__head-text {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    gap: 1.25rem;
}

.block-key-ctas .cta-item--search .cta__location {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--c-primary);
    text-decoration: none;
    font-size: var(--font-18-15);
    font-weight: 600;
    line-height: 1;
}

.block-key-ctas .cta-item--search .cta__location svg {
    width: 0.8125rem;
    height: 0.8125rem;
}

.block-key-ctas .cta-item--search .cta__image {
    width: auto;
    height: 7.5rem;
    margin: -1.875rem -1.875rem 0 0;
}

.block-key-ctas .cta-item--cta {
    position: relative;
    isolation: isolate;
    transition: background-color 300ms ease-out;
}

.block-key-ctas .cta-item--cta::before {
    content: '';
    position: absolute;
    inset: 0;
    z-index: -1;
    background-color: rgb(0 0 0 / 0.4);
    opacity: 0;
    transition: opacity 300ms ease-out;
    pointer-events: none;
}

.block-key-ctas .cta-item--cta:is(:hover,:focus-within) {
    background-color: var(--c-bg-dark);
}

.block-key-ctas .cta-item--cta:is(:hover,:focus-within)::before {
    opacity: 1;
}

.block-key-ctas .cta-item--cta .cta__title {
    max-width: 10rem;
    color: var(--theme-clr-heading, currentColor);
    text-decoration: none;
    transition: color 300ms ease-out;
    word-spacing: 0.05em;
}

.block-key-ctas .cta-item--cta:is(:hover,:focus-within) .cta__title {
    color: var(--c-text-light);
}

.block-key-ctas .cta-item--cta .cta__icon {
    width: 1.25rem;
    height: auto;
    transition: 300ms ease-out;
    transition-property: transform, color;
}

.block-key-ctas .cta-item--cta:is(:hover,:focus-within) .cta__icon {
    transform: rotate(-45deg);
    color: var(--c-text-light);
}

.block-key-ctas .cta-item--cta .cta__image {
    --offset: 46%;
    position: absolute;
    bottom: 0;
    right: 1.75rem;
    width: 35%;
    height: auto;
    filter: drop-shadow(0rem 0.625rem 0.625rem rgb(from var(--c-text-dark) r g b / .5));
    transform: translateY(var(--offset));
    transition: transform 300ms ease-out;
    pointer-events: none;
}

.block-key-ctas .cta-item--cta:is(:hover,:focus-within) .cta__image {
    --offset: 39%;
}

.block-key-ctas .cta-item--media {
    position: relative;
    clip-path: inset(0 round 1.125rem);
    border-radius: 0;
}

.block-key-ctas .cta-item--media .overlay {
    position: absolute;
    inset: 0;
    padding: 2.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.block-key-ctas .cta-item--media .overlay::before {
    content: '';
    position: absolute;
    inset: 0;
    background-color: rgb(from var(--c-text-dark) r g b / .5);
    mix-blend-mode: multiply;
    z-index: -1;
    pointer-events: none;
}


@media screen and (max-width: 920px) {
    .block-key-ctas .cta-item-list {
        grid-template-columns: repeat(2, 1fr);
        gap: 0.75rem;
    }
    .block-key-ctas .cta-item {
        grid-column: span 1;
    }

    .block-key-ctas .cta-item--search {
        grid-column: span 2;
    }
}

@media screen and (max-width: 620px) {
    .block-key-ctas .cta-item {
        padding: 1.375rem;
        border-radius: 1.125rem;
        min-height: 10.5625rem;
    }
    .block-key-ctas .cta-item--media {
        border-radius: 0;
        clip-path: inset(0 round 1.125rem);
    }

    .block-key-ctas .cta-item--search .cta__image {
        margin: -1.375rem -1.375rem 0 0;
    }

    .block-key-ctas .cta-item--media .overlay {
        padding: 1.375rem;
    }
}

@media screen and (max-width: 420px) {
    .block-key-ctas .cta-item--search .cta__image {
        height: 5.625rem;
    }

    .block-key-ctas .cta-item--search .cta__location svg {
        width: 0.75rem;
        height: 0.75rem;
    }

    .block-key-ctas .cta-item--cta .cta__title {
        max-width: 5.625rem;
    }

    .block-key-ctas .cta-item--cta .cta__icon {
        width: 1.125rem;
    }
    
    .block-key-ctas .cta-item--cta .cta__image {
        width: 40%;
        right: 1.25rem;
    }
}